org.apache.http.impl.auth

## Interface SpnegoTokenGenerator

Deprecated.
(4.2) subclass `KerberosScheme` and override `GGSSchemeBase.generateGSSToken(byte[], org.ietf.jgss.Oid, String, org.apache.http.auth.Credentials)`

    @Deprecated
    public interface SpnegoTokenGenerator

Abstract SPNEGO token generator. Implementations should take an Kerberos ticket and transform into a SPNEGO token.

Implementations of this interface are expected to be thread-safe.

Since:
  4.1

### Method Summary

Methods
`byte[]` `generateSpnegoDERObject(byte[] kerberosTicket)` Deprecated.

### Method Detail

#### generateSpnegoDERObject

    byte[] generateSpnegoDERObject(byte[] kerberosTicket)
                                   throws IOException

Deprecated.

Throws:
  `IOException`